Subject: Re: bug#38485: Customizing glyph widths

From: Clément Pit-Claudel <[email-masked]>
Date: Wed, 4 Dec 2019 15:53:43 -0500

On 2019-12-04 13:45, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Wed, 4 Dec 2019 13:14:19 -0500
>>
>>>> I'm thinking something like `:display-width 3' or maybe `display-width "~~>"' (the former would mean "as wide as three spaces in the default font"; the later, "as wide as `~~>' in the default font").
>>>> These properties would be applied by prettify-symbols-mode in addition to composition.
>>>
>>> I don't understand why would prettify-symbols-mode want to do this via
>>> a text property, instead of via a buffer-local variable.
>>
>> Would this buffer-local variable be an alist mapping each character to the desired width?
> 
> No, it will simply make each prettified symbol take up the same width
> as the original characters of the symbol that were composed.  Isn't
> that what everyone would want, and want for _all_ prettified symbols?

Probably not.  In proof-general, we display 'forall' as ∀ and 'exists' as ∃.  In my own configuration I also change "Qed" to ■ "Defined" to □, and "Admitted" to 😱.  These shouldn't be widened, I think — especially not the last ones (there is a case to be made for widening forall, since otherwise we might get indentation issues, but in Coq Qed, Defined and Admitted don't introduce indentation changes, so it's safe not to widen them.

Clément.